--***************************************************************
--*脚本名称: create_test_20190722.sql
--*功能: 创建api_bdtransfer_operationrecord(test_20190722)的映射表
--*业务名称: tl
--*输入数据: hdfs://bj-gmei-hdfs/data/log/thirdparty/test_20190722/partition_date=${partition_date}/
--*作者: data-exchange
--*更新时间: 2019-07-22 11:38:14
--***************************************************************


--设置全局变量&UDF
SET mapreduce.job.queuename=data;

--声明数据库
USE default;

--创建HDFS映射表
CREATE EXTERNAL TABLE IF NOT EXISTS test_20190722 (
  action BIGINT COMMENT '{"chs_name":"操作类型","description":"","etl":"","value":"","remark":""}',
  bdtransfer_id BIGINT COMMENT '{"chs_name":"1","description":"","etl":"","value":"","remark":""}',
  content STRING COMMENT '{"chs_name":"操作内容","description":"","etl":"","value":"","remark":""}',
  id BIGINT COMMENT '{"chs_name":"ID","description":"","etl":"","value":"","remark":""}',
  operate_time STRING COMMENT '{"chs_name":"1","description":"","etl":"","value":"","remark":""}',
  operate_user_id BIGINT COMMENT '{"chs_name":"1","description":"","etl":"","value":"","remark":""}'
) COMMENT 'test_20190722'
PARTITIONED BY (partition_date STRING COMMENT '分区日期')
ROW FORMAT
    DELIMITED FIELDS TERMINATED BY '\001'
    COLLECTION ITEMS TERMINATED BY '\002'
    MAP KEYS TERMINATED BY '\003'
    LINES TERMINATED BY '\n'
    NULL DEFINED AS ''
STORED AS TEXTFILE
LOCATION '/data/log/thirdparty/test_20190722';