--***************************************************************
--*脚本名称: create_test_20190717.sql
--*功能: 创建api_country(test_20190717)的映射表
--*业务名称: tl
--*输入数据: hdfs://bj-gmei-hdfs/data/log/thirdparty/test_20190717/partition_date=${partition_date}/
--*作者: data-exchange
--*更新时间: 2019-07-19 18:04:27
--***************************************************************


--设置全局变量&UDF
SET mapreduce.job.queuename=data;

--声明数据库
USE default;

--创建HDFS映射表
CREATE EXTERNAL TABLE IF NOT EXISTS test_20190717 (
  id STRING COMMENT '{"chs_name":"国家英文名","description":"","etl":"","value":"","remark":""}',
  name STRING COMMENT '{"chs_name":"国家中文名","description":"","etl":"","value":"","remark":""}',
  tag_id BIGINT COMMENT '{"chs_name":"1","description":"","etl":"","value":"","remark":""}'
) COMMENT 'test_20190717'
PARTITIONED BY (partition_date STRING COMMENT '分区日期')
ROW FORMAT
    DELIMITED FIELDS TERMINATED BY '\001'
    COLLECTION ITEMS TERMINATED BY '\002'
    MAP KEYS TERMINATED BY '\003'
    LINES TERMINATED BY '\n'
    NULL DEFINED AS ''
STORED AS TEXTFILE
LOCATION '/data/log/thirdparty/test_20190717';