--***************************************************************
--*脚本名称: create_test_201907222.sql
--*功能: 创建statistic_promotion_channel(test_201907222)的映射表
--*业务名称: tl
--*输入数据: hdfs://bj-gmei-hdfs/data/log/thirdparty/test_201907222/partition_date=${partition_date}/
--*作者: data-exchange
--*更新时间: 2019-07-22 15:40:49
--***************************************************************


--设置全局变量&UDF
SET mapreduce.job.queuename=data;

--声明数据库
USE default;

--创建HDFS映射表
CREATE EXTERNAL TABLE IF NOT EXISTS test_201907222 (
  active_key STRING COMMENT '{"chs_name":"激活回调需要的额外签名","description":"","etl":"","value":"","remark":""}',
  active_time STRING COMMENT '{"chs_name":"激活时间","description":"","etl":"","value":"","remark":""}',
  appid STRING COMMENT '{"chs_name":"渠道id","description":"","etl":"","value":"","remark":""}',
  callback STRING COMMENT '{"chs_name":"渠道回调","description":"","etl":"","value":"","remark":""}',
  callback_response STRING COMMENT '{"chs_name":"回调响应的json","description":"","etl":"","value":"","remark":""}',
  callback_type STRING COMMENT '{"chs_name":"callback type","description":"","etl":"","value":"","remark":""}',
  click_request STRING COMMENT '{"chs_name":"点击上报请求的json","description":"","etl":"","value":"","remark":""}',
  client_type BIGINT COMMENT '{"chs_name":"客户端类型","description":"","etl":"","value":"","remark":""}',
  create_time STRING COMMENT '{"chs_name":"创建时间","description":"","etl":"","value":"","remark":""}',
  id BIGINT COMMENT '{"chs_name":"ID","description":"","etl":"","value":"","remark":""}',
  idfa STRING COMMENT '{"chs_name":"1","description":"","etl":"","value":"","remark":""}',
  platform_type BIGINT COMMENT '{"chs_name":"1","description":"","etl":"","value":"","remark":""}',
  record_from STRING COMMENT '{"chs_name":"1","description":"","etl":"","value":"","remark":""}',
  update_time STRING COMMENT '{"chs_name":"1","description":"","etl":"","value":"","remark":""}'
) COMMENT 'test_201907222'
PARTITIONED BY (partition_date STRING COMMENT '分区日期')
ROW FORMAT
    DELIMITED FIELDS TERMINATED BY '\001'
    COLLECTION ITEMS TERMINATED BY '\002'
    MAP KEYS TERMINATED BY '\003'
    LINES TERMINATED BY '\n'
    NULL DEFINED AS ''
STORED AS TEXTFILE
LOCATION '/data/log/thirdparty/test_201907222';